from flask import Flask

from ctrl.ctrl_accueil import ctrl_accueil
from ctrl.ctrl_select_produits import ctrl_select_produits
from ctrl.ctrl_insert_produit import ctrl_insert_produit
      
# ou :
#from ctrl import * 

app = Flask(__name__)

# chaque route appelle un controleur qui retourne un html

@app.route('/')
def _ctrl_index():
    return ctrl_accueil()

@app.route('/produits')
def _ctrl_select_produits():
    return ctrl_select_produits()

@app.route('/ajouter_produit', methods=['GET', 'POST'])
def _ctrl_insert_produit():
    return ctrl_insert_produit()

if __name__ == '__main__':
    app.run()