﻿-- Fichier texte encodé en UTF8 with BOM 
-- Création de la BD
-- Dans la BD on uilise du "_case"
drop database if exists BD_ventes_2025;
create database BD_ventes_2025;
use BD_ventes_2025;

-- Les tables de la BD sont au pluriel
-- Les classes php, java, etc. sont au singulier (en général)
-- on peut choisir du suffixer tous les attributs avec le nom de la table, au singulier
-- ça facilite le code

-- Création des tables - relations
CREATE TABLE Produits (
    id_produit INT NOT NULL AUTO_INCREMENT,
    nom_produit VARCHAR(255) NOT NULL,
    prix_produit DECIMAL(10, 2) NOT NULL,  -- DECIMAL pour un prix avec 2 décimales
    image_produit VARCHAR(255) NOT NULL,
    PRIMARY KEY(id_produit)
);

-- Création des tuples - datas
INSERT INTO Produits (id_produit, nom_produit, prix_produit, image_produit) VALUES
(1, 'nom 1', 30, 'p1.png'),
(2, 'nom 2', 20, 'p2.png'),
(3, 'nom 1', 20, 'p3.png');
