from flask import render_template, request, redirect, url_for
# importation du modèle
from modele.modele_produits import insert_produit, select_produits

def ctrl_insert_produit():
    # ------------------------------------------------------
    # contrôleur :
    # quand on valide le formulaire : 
    if request.method == 'POST':
        print("ctrl_insert_produit: Validation du formulaire")
        # on récupère la saisie du formulaire
        nom_produit = request.form['nom_produit']
        prix_produit = request.form['prix_produit']
        image_produit = request.form['image_produit']
        print("nom_produit: ", nom_produit)
        print("prix_produit: ", prix_produit)
        print("image_produit: ", image_produit)
        # on appelle la fonction pour insérer l'œuvre
        last_id=insert_produit(nom_produit, prix_produit, image_produit)
        print("last_id:", last_id)
    
    # Dans tous les cas on charge les produits
    les_produits = select_produits()

    # ----------------------------------------------------
    # vue
    return render_template('view_insert_produit.html', produits=les_produits)
